LibreOffice LibreOffice 25.2 SDK C/C++ API Reference

Macros
File attributes

## Macros
#define | osl_File_Attribute_ReadOnly 0x00000001
#define | osl_File_Attribute_Hidden 0x00000002
#define | osl_File_Attribute_Executable 0x00000010
#define | osl_File_Attribute_GrpWrite 0x00000020
#define | osl_File_Attribute_GrpRead 0x00000040
#define | osl_File_Attribute_GrpExe 0x00000080
#define | osl_File_Attribute_OwnWrite 0x00000100
#define | osl_File_Attribute_OwnRead 0x00000200
#define | osl_File_Attribute_OwnExe 0x00000400
#define | osl_File_Attribute_OthWrite 0x00000800
#define | osl_File_Attribute_OthRead 0x00001000
#define | osl_File_Attribute_OthExe 0x00002000

## Detailed Description

## Macro Definition Documentation

## ◆ osl_File_Attribute_Executable

#define osl_File_Attribute_Executable 0x00000010

## ◆ osl_File_Attribute_GrpExe

#define osl_File_Attribute_GrpExe 0x00000080

## ◆ osl_File_Attribute_GrpRead

#define osl_File_Attribute_GrpRead 0x00000040

## ◆ osl_File_Attribute_GrpWrite

#define osl_File_Attribute_GrpWrite 0x00000020

## ◆ osl_File_Attribute_Hidden

#define osl_File_Attribute_Hidden 0x00000002

## ◆ osl_File_Attribute_OthExe

#define osl_File_Attribute_OthExe 0x00002000

## ◆ osl_File_Attribute_OthRead

#define osl_File_Attribute_OthRead 0x00001000

## ◆ osl_File_Attribute_OthWrite

#define osl_File_Attribute_OthWrite 0x00000800

## ◆ osl_File_Attribute_OwnExe

#define osl_File_Attribute_OwnExe 0x00000400

## ◆ osl_File_Attribute_OwnRead

#define osl_File_Attribute_OwnRead 0x00000200

## ◆ osl_File_Attribute_OwnWrite

#define osl_File_Attribute_OwnWrite 0x00000100

## ◆ osl_File_Attribute_ReadOnly

#define osl_File_Attribute_ReadOnly 0x00000001